%define	module	HTML-Parser
%define Werror_cflags %nil

Summary: 	Perl module to parse HTML documents
Name: 		perl-%{module}
Version: 	3.60
Release: 	%mkrel 1
License: 	GPL or Artistic
Group: 		Development/Perl
URL: 		http://search.cpan.org/dist/%{module}/
Source:     http://www.cpan.org/modules/by-module/HTML/%{module}-%{version}.tar.gz
Requires: 	perl-HTML-Tagset >= 3.03
BuildRequires:	perl-devel
BuildRequires:	perl-HTML-Tagset
BuildRoot: 	%{_tmppath}/%{name}-%{version}

%description
HTML::Parser module for Perl to parse and extract information from
HTML documents.

%prep

%setup -q -n %{module}-%{version}

%build
# compile with default options (prompt() checks for STDIN being a terminal).
# yes to not ask for automate rebuild
yes | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="%{optflags}"

%check
%make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README TODO Changes
%{perl_vendorarch}/auto/HTML
%{perl_vendorarch}/HTML
%{_mandir}/*/*




%changelog
* Mon Feb 16 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.60-1mdv2009.1
+ Revision: 341080
- new release
- temporarily disable format errors

* Tue Nov 25 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.59-1mdv2009.1
+ Revision: 306761
- update to new version 3.59

* Sat Nov 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.58-1mdv2009.1
+ Revision: 305714
- update to new version 3.58

* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.56-3mdv2009.0
+ Revision: 223787
- rebuild

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 3.56-2mdv2008.1
+ Revision: 151255
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Mar 05 2007 Olivier Thauvin <nanardon@mandriva.org> 3.56-1mdv2007.0
+ Revision: 132943
- 3.56

* Tue Dec 12 2006 Olivier Thauvin <nanardon@mandriva.org> 3.55-1mdv2007.1
+ Revision: 95139
- 3.55

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild
    - Import perl-HTML-Parser

* Tue May 30 2006 Guillaume Rousse <guillomovitch@mandriva.org> 3.54-1mdv2007.0
- New release 3.54
- spec cleanup

* Wed Mar 22 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 3.51-1mdk
- 3.51

* Fri Feb 17 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 3.50-1mdk
- 3.50

* Fri Feb 10 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 3.49-1mdk
- 3.49

* Tue Dec 06 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 3.48-1mdk
- 3.48

* Wed Nov 30 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 3.47-1mdk
- 3.47

* Thu Oct 27 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 3.46-1mdk
- 3.46

* Fri Jan 07 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 3.45-1mdk
- 3.45

* Tue Jan 04 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 3.44-1mdk
- 3.44

* Tue Dec 07 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 3.43-1mdk
- 3.43

* Mon Nov 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 3.38-1mdk
- 3.38

* Tue Apr 20 2004 Stefan van der Eijk <stefan@eijk.nu> 3.36-1mdk
- 3.36

